const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const rubric_scores = sequelize.define(
    'rubric_scores',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

score: {
        type: DataTypes.DECIMAL,
      
      

      },

comment: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  rubric_scores.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity































//end loop



    db.rubric_scores.belongsTo(db.submission_grades, {
      as: 'submission_grade',
      foreignKey: {
        name: 'submission_gradeId',
      },
      constraints: false,
    });

    db.rubric_scores.belongsTo(db.homework_rubrics, {
      as: 'rubric_item',
      foreignKey: {
        name: 'rubric_itemId',
      },
      constraints: false,
    });

    db.rubric_scores.belongsTo(db.schools, {
      as: 'schools',
      foreignKey: {
        name: 'schoolsId',
      },
      constraints: false,
    });




    db.rubric_scores.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.rubric_scores.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return rubric_scores;
};


